# std::get_new_handler

From cppreference.com
< cpp‎ | memory‎ | new

Defined in header `<new>` |  |
std::new_handler get_new_handler(); |  | (since C++11)

Returns the currently installed new-handler, which may be a null pointer.

This function is thread-safe. Previous call to std::set_new_handler synchronizes-with (see std::memory_order) the subsequent calls to `std::get_new_handler`. | (since C++11)

### Parameters

(none)

### Return value

The currently installed new-handler, which may be a null pointer value.

### Exceptions

`noexcept` specification:
noexcept

### See also

operator new operator new[] | allocation functions (function)
set_new_handler | registers a new handler (function)
new_handler | function pointer type of the new handler (typedef)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/new/get_new_handler&oldid=91683"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template